@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

body {
    margin: 0;
    overflow: hidden;
    font-family: "Poppins", serif;
    color: white;
    background-color: #dcdce4; 
    background-image: url('../img/background.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    height: 100vh;
}

* {
    -webkit-tap-highlight-color: transparent;
    font-family: "Poppins", serif;
}

*:focus {
    outline: none !important;
    box-shadow: none !important;
}

html, body {
  -webkit-text-size-adjust: none !important; /* iOS/Safari */
  -moz-text-size-adjust: none !important;    /* Firefox */
  -ms-text-size-adjust: none !important;     /* IE/Edge antigos */
  text-size-adjust: none !important;         /* Padrão */
  font-size: 16px !important;
}

header{
    background-color: #43434d;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: calc(0rem + env(safe-area-inset-top));
}

#header-container{
    display: flex;
    align-items: center;
    margin-left: 0.5rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

#logo-img{
    width: 200px;
}

.fas.fa-bars {
    font-size: 24px;
    color: white;
    cursor: pointer;
    background-color: #262627;
    padding: 0.6rem;
    border-radius: 0.6rem;
    margin-right: 0.5rem;
    width: 25px;
    text-align: center;
}

#close{
    font-size: 24px;
    color: white;
    cursor: pointer;
    background-color: #262627;
    padding: 0.6rem;
    border-radius: 0.6rem;
    margin-right: 0.5rem;
    width: 25px;
    text-align: center;
}


.menu-hidden{
    right: -100%;
}

.menu-show{
    right: 0;
}

.hidden{
    display: none;
}

.show{
    display: block;
}

footer{
    background-color: #43434d;
    display: flex;
    justify-content: space-around;
    position: relative;
    padding: 0.8rem;
    height: 60px;
    z-index: 12;
    padding-bottom: calc(0.8rem + env(safe-area-inset-bottom));
}

.container-nav{
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.icone-footer{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    width: 50px;
    height: 50px;
}

.icones-nav{
    width: 26px;
}

.descricao-icone{
    margin: 0;
    font-weight: 300;
    font-size: 12px;
}

.descricao-nav{
    margin: 0;
    font-weight: 400;
    font-size: 16px;
    padding: 0.6rem 0.8rem;
    border-radius: 0.6rem;
    cursor: pointer;
    text-align: center;
    background-color: #43434d;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

#menu-nav{
    width: 100vw;
    background-color: #dcdce4;
    position: fixed;
    display: flex;
    flex-direction: column;
    align-items: center;
    top: calc(70.2px + env(safe-area-inset-top));
    gap: 0.5rem;
    padding-top: 1rem;
    transition: 0.5s right;
    z-index: 10;
    overflow: auto;
    background-image: url(../img/background.jpeg);
    background-repeat: no-repeat;
    background-size: cover;
    bottom: calc(75.67px + env(safe-area-inset-bottom));
}

.desafio {
    position: absolute;
    top: -4px;
    left: 50%;
    transform: translate(-50%, -50%);
    cursor: pointer;
}

#nav-desafio{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#desafio-img{
    width: 90px;
}

#texto-desafio{
    margin: 0;
    font-weight: 300;
    font-size: 12px;
}

.div-progresso{
    margin-left: 1rem;
}

#icone-ia {
    position: absolute;
    right: -10px;
    top: -34px;
    width: 64px;
    height: 64px;
}

#logo-usuario{
    width: 165px;
}

.menu_default{
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 0.5rem;
}

.menu_categorias{
    display: none;
    flex-direction: column;
    width: 100%;
    gap: 0.5rem;
    margin-bottom: 4rem;
}

#btn_voltar{
    color: white;
}

a{
    text-decoration: none;
    color: white;
    
}

.a-hamburguer{
    text-decoration: none;
    color: white;
    width: 100%;
}

main{
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.btn_gradiente{
    background: linear-gradient(45deg, #285334, #49561E, #755D1A);
}

#btn_todas_categorias h1{
    background: linear-gradient(45deg, #285334, #49561E, #755D1A);
}

#menu_categorias a h1{
    background: linear-gradient(45deg, #285334, #49561E, #755D1A);
}



.nivel-circular {
  width: 42px;
  height: 42px;
  display: inline-block;
}

.circular-chart {
  display: block;
  margin: auto;
  max-width: 100%;
  max-height: 100%;
}

.circle-bg {
  fill: none;
  stroke: #eee;
  stroke-width: 3.8;
}

.circle {
  fill: none;
  stroke: #ff9800;
  stroke-width: 3.8;
  stroke-linecap: round;
  transition: stroke-dasharray 0.6s ease;
  transform: rotate(-90deg);
  transform-origin: center;
}

.percentage {
  fill: #ffffff;
  font-size: 0.5em;
  text-anchor: middle;
}






#modal_avaliacao {
    position: fixed;
    inset: 0;
    z-index: 9999;
    display: flex;
}

.overlay-avaliacao {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,.6);
}

.box-avaliacao {
    position: relative;
    background: #fff;
    width: 90%;
    max-width: 360px;
    margin: auto;
    padding: 20px;
    border-radius: 12px;
    text-align: center;
    z-index: 1;
    box-sizing: border-box;
    color: black;
}

.box-avaliacao h2 {
    margin-bottom: 15px;
    margin-top: 0px;
}

.estrelas {
    font-size: 30px;
    margin-bottom: 10px;
    cursor: pointer;
}

.estrelas span {
    color: #ccc;
}

.estrelas span.ativa {
    color: #f5b301;
}

.box-avaliacao textarea {
    width: 100%;
    height: 80px;
    resize: none;
    margin: 10px 0;
    padding: 8px;
}

.acoes-avaliacao {
    display: flex;
    gap: 10px;
}

.acoes-avaliacao button {
    flex: 1;
    padding: 10px;
    border: none;
    border-radius: 6px;
    cursor: pointer;
}

.btn-cancelar {
    background: #eee;
}

.btn-enviar {
    background: #4CAF50;
    color: #fff;
}

.notas {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 6px;
    margin-bottom: 15px;
}

.notas button {
    padding: 8px 0;
    border: 1px solid #ccc;
    border-radius: 6px;
    background: #f5f5f5;
    cursor: pointer;
}

.notas button.ativa {
    background: #4CAF50;
    color: #fff;
    border-color: #4CAF50;
}

.xp-ring-wrapper {
    position: relative;
    width: 40px;
    height: 40px;
}

.xp-ring {
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

.tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: #262627;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    top: 120%;
    left: 50%;
    margin-left: -60px;
    font-size: 12px;
    z-index: 9999;
}

.tooltiptext::after {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent #262627 transparent;
}

.tooltip {
  position: relative;
  display: inline-block;
  cursor: pointer;  
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}

.xp-ring::after {
    content: '';
    position: absolute;
    inset: 4px;
    background: white;
    border-radius: 50%;
}

.xp-level {
    position: absolute;
    inset: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 13px;
    font-weight: 600;
    color: #222;
    z-index: 2;
}

